summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorMichael Olbrich <m.olbrich@pengutronix.de>2011-01-03 16:52:56 +0100
committerMichael Olbrich <m.olbrich@pengutronix.de>2011-01-24 18:09:53 +0100
commit510d4d49b9581d6d4b1b0900a13d1758a96b720b (patch)
treef3feefeb3b5622e4a4e15b9caacd77de3adcda2c /scripts
parent8b1dc58bbc4d4ec040ff7c60dc6536e0f6f4f013 (diff)
downloadptxdist-510d4d49b9581d6d4b1b0900a13d1758a96b720b.tar.gz
ptxdist-510d4d49b9581d6d4b1b0900a13d1758a96b720b.tar.xz
[ptxd_lib_dgen] use ptxd_in_path to find existing dirs in PTXDIST_PATH_RULES
Signed-off-by: Michael Olbrich <m.olbrich@pengutronix.de>
Diffstat (limited to 'scripts')
-rw-r--r--scripts/lib/ptxd_lib_dgen.sh6
1 files changed, 2 insertions, 4 deletions
diff --git a/scripts/lib/ptxd_lib_dgen.sh b/scripts/lib/ptxd_lib_dgen.sh
index a452b9126..d8c7c5590 100644
--- a/scripts/lib/ptxd_lib_dgen.sh
+++ b/scripts/lib/ptxd_lib_dgen.sh
@@ -43,10 +43,8 @@ ptxd_dgen_configdeps() {
ptxd_dgen_rulesfiles() {
{
local rulesdir
- for rulesdir in ${PTXDIST_PATH_RULES//:/ }; do
- if [ ! -d "${rulesdir}" ]; then
- continue
- fi
+ ptxd_in_path PTXDIST_PATH_RULES || return
+ for rulesdir in "${ptxd_reply[@]}"; do
find "${rulesdir}" -mindepth 1 -maxdepth 1 -name "*.make" -a \! -path "*#*"
done
} | gawk '{